@echo off
REM *************************************************************************
REM This is a OS/2 REXX script for installing ARK Logic Drivers for OS/2 Warp
REM Please refer to READ.ME and User Manual for details.
REM *************************************************************************
echo.
if "%1"=="" goto dir_err
%1
if "%2"=="" goto start
cd %2
if errorlevel 1 goto dir_err
:start
if not exist DSPINSTL.EXE goto not_find
echo Starting DSPINSTL process for installing OS/2 Warp display drivers...
dspinstl.exe
goto done
:not_find
echo.
echo DSPINSTL.EXE not found!!!
echo Please make sure that you have the right drive letter and
echo directory/path where the drivers reside.  Try again.
echo.
goto done
:dir_err
echo.
echo Please specify the followings as the parameters.
echo.
echo First parameter : the drive letter where the drivers reside.
echo Second parameter: (optional) the directory or path, excluding
echo                   the drive letter, where the drivers reside. 
echo.
echo For example,
echo         install  a:
echo         install  c:  \mydir
echo.
:done
@echo on
